import request from '@/utils/request'

export function getAdviceConfig () {
  return request({
    url: '/m/api/getadviceconfigs',
    method: 'get'
  })
}

export function CreateDoctorAdvice (id, advice, mode) {
  console.log('id', id)
  return request({
    url: '/m/api/advice/create?id=' + id +"&mode="+mode,
    method: 'post',
    data: advice
  })
}
export function EditDoctorAdvice (id, advice,mode) {
  return request({
    url: '/m/api/advice/edit?id=' + id+"&mode="+mode,
    method: 'put',
    data: advice,
    headers:{"Permission":1},

  })
}

export function StopDoctorAdvice (id, advice,mode) {
  return request({
    url: '/m/api/advice/stop?id=' + id+"&mode="+mode,
    method: 'Post',
    data: advice,
    headers:{"Permission":1},

  })
}

export function ExecDoctorAdvice (params) {
  return request({
    url: '/m/api/advice/exec',
    method: 'Post',
    params: params,
    headers:{"Permission":1},

  })
}

export function CheckDoctorAdvice (params) {
  return request({
    url: '/m/api/advice/check',
    method: 'Post',
    params: params,
    headers:{"Permission":1},

  })
}

export function DeleteDoctorAdvice (id) {
  return request({
    url: '/m/api/advice/delete?id=' + id+"&mode="+mode,
    method: 'Delete',
    headers:{"Permission":1},

  })
}

export function DeleteDoctorAdviceNew (group_no, advice_id,mode,is_sub) {
  return request({
    url: '/m/api/newadvice/delete',
    method: 'Delete',
    headers:{"Permission":1},
    params: {
      groupno: group_no,
      advice_id: advice_id,
      mode:mode,
      is_sub:is_sub,
    }
  })
}

export function getSchedualDoctors (params) {
  return request({
    url: '/m/api/schedule/advices',
    method: 'get',
    params: params
  })
}

export function batchCreateAdvices (patient_id, group_no, data,mode,is_child) {

  return request({
    url: '/m/api/advice/creategroup',
    method: 'post',
    headers:{"Permission":1},
    params: {
      id: patient_id,
      group_no: group_no,
      mode:mode,
      is_child:is_child
    },
    data: data
  })
}

export function modifyAdviceGroupStartTime (group_no, start_time_str,mode) {
  return request({
    url: '/m/api/advice/group/modify_starttime',
    method: 'post',
    headers:{"Permission":1},
    params: {
      group_no: group_no,
      start_time: start_time_str,
      mode:mode,
    }
  })
}

export function ExecSingleDoctorAdvice (params) {
  return request({
    url: '/m/api/advice/exec/single',
    method: 'Post',
    headers:{"Permission":1},
    params: params
  })
}

export function DeleteSubDoctorAdvice (params) {
  return request({
    url: '/m/api/delete/subadvice?advice_id=' + params,
    method: 'Delete',
    headers:{"Permission":1},

  })
}

// export function ModifyExecDoctorAdvice(params){
//   return request({
//     url:'/m/api/delete/subadvice?advice_id='+params,
//     method:'Delete',
//   })
// }

export function ModifyExecDoctorAdvice (params) {
  return request({
    url: '/m/api/advice/exec/modify',
    method: 'Post',
    params: params,
    headers:{"Permission":1},

  })
}

export function GetRemindLongAdvice (params) {
  return request({
    url: '/m/api/dialysis/advice_remind',
    method: 'Get',
    params: params
  })
}
