import Vue from 'vue'
import Router from 'vue-router'

Vue.use(Router)

export default new Router({
  routes: [{
      path: '/',
      name: 'Home',
      component: () => import('@/pages/home/verifyToken')
    },
    {
      path: '/login',
      name: 'Home',
      component: () => import('@/pages/home/login')
    },
    {
      path: '/nopassword',
      name: 'Home',
      component: () => import('@/pages/home/noPassword')
    },
    {
      path: '/setname',
      name: 'Home',
      component: () => import('@/pages/home/register/name')
    },
    {
      path: '/register',
      name: 'Home',
      component: () => import('@/pages/home/register/register')
    },
    {
      path: '/join',
      name: 'Home',
      component: () => import('@/pages/home/noJoinedGroup')
    },
    {
      path: '/forget',
      name: 'Home',
      component: () => import('@/pages/home/forgetPassword')
    },
    {
      path: '/createorg',
      name: 'Home',
      component: () => import('@/pages/home/createOrg')
    },
    // 首页
    {
      path: '/myIndex',
      name: 'myIndex',
      component: () => import('@/pages/home/index'),
      children: [{
          path: '/homeIndex',
          component: () => import('@/pages/homeIndex/index.vue'),
          meta: {
            noCache: true // 不会被 <keep-alive> 缓存
          }
        },
        // 我的
        {
          path: '/newMy',
          name: 'newMy',
          component: () => import('@/pages/my/index')
        },
        // 活动
        {
          path: '/active',
          name: 'active',
          component: () => import('@/pages/home/active')
        }
      ]
    },
    // 活动报名表
    {
      path: '/activeForm',
      name: 'activeForm',
      component: () => import('@/pages/home/activeForm')
    },
    // 活动报名表成功
    {
      path: '/activeSuccess',
      name: 'activeSuccess',
      component: () => import('@/pages/home/activeSuccess')
    },
    // 商城
    {
      path: '/shop',
      name: 'shop',
      component: () => import('@/pages/shop/index')
    },
    {
      path: '/perfectOrg',
      component: () => import('@/pages/org'),
      meta: {
        noCache: true // 不会被 <keep-alive> 缓存
      }
    },
    {
      path: '/manageconsole',
      name: 'console',
      component: () => import('@/pages/console/managementConsole')
    },
    {
      path: '/manageconsole/staff',
      name: 'staff',
      component: () =>
        import('@/pages/console/managementConsole/staff_role/staffManagement')
    },
    {
      path: '/staff/editstaff',
      name: 'editstaff',
      component: () =>
        import('@/pages/console/managementConsole/staff_role/editStaff')
    },
    {
      path: '/staff/addstaff',
      name: 'addstaff',
      component: () =>
        import('@/pages/console/managementConsole/staff_role/addStaff')
    },

    {
      path: '/manageconsole/role',
      name: 'role',
      component: () =>
        import(
          '@/pages/console/managementConsole/staff_role/privilegeManagement'
        )
    },

    {
      path: '/role/user',
      name: 'user',
      component: () =>
        import('@/pages/console/managementConsole/staff_role/newUser')
    },

    {
      path: '/role/addnewuser',
      name: 'user',
      component: () =>
        import('@/pages/console/managementConsole/staff_role/newAddStaff')
    },
    {
      path: '/role/stafflist',
      name: 'user',
      component: () =>
        import('@/pages/console/managementConsole/staff_role/employeeList')
    },
    {
      path: '/role/usermanage',
      name: 'user',
      component: () =>
        import('@/pages/console/managementConsole/staff_role/userManage')
    },
    {
      path: '/role/addrole',
      name: 'add_role',
      component: () =>
        import('@/pages/console/managementConsole/staff_role/newAddRole')
    },

    //
    // {
    //   path: "/manageconsole/role",
    //   name: "role",
    //   component: () =>
    //     import("@/pages/console/managementConsole/staff_role/privilegeManagement")
    // },

    {
      path: '/role/editrole',
      name: 'editrole',
      component: () =>
        import('@/pages/console/managementConsole/staff_role/editRole')
    },
    {
      path: '/role/subpurview',
      name: 'purview',
      component: () =>
        import('@/pages/console/managementConsole/staff_role/subPurview')
    },
    {
      path: '/role/otherpurview',
      name: 'purview',
      component: () =>
        import('@/pages/console/managementConsole/staff_role/otherPurview')
    },
    {
      path: '/role/functionpurview',
      name: 'purview',
      component: () =>
        import('@/pages/console/managementConsole/staff_role/functionPurview')
    },
    // 患者中心
    {
      path: '/patients',
      name: 'patients',
      component: () => import('@/pages/patientManagement/patientManagement')
    },
    // 新增病人
    {
      path: '/addPatints',
      name: 'addpatients',
      component: () => import('@/pages/patients/addPatient')
    },
    // 全部病程
    {
      path: '/coursedetail',
      name: 'coursedetail',
      component: () => import('@/pages/allCourseManagement/index')
    },
    // 全部干体重
    {
      path: '/dryweight',
      name: 'dryweight',
      component: () => import('@/pages/allDryWeight/index')
    },
    // 基本信息
    {
      path: '/editPatient',
      name: 'editPatient',
      component: () => import('@/pages/patients/editPatient')
    },
    // 全部排班
    {
      path: '/editScheduling',
      name: 'editscheduling',
      component: () => import('@/pages/allScheduling/index')
    },
    // 全部透后宣教
    {
      path: '/editEducation',
      name: 'editeducation',
      component: () => import('@/pages/allEducation/index')
    },
    // 全部抢救记录
    {
      path: '/rescuerecord',
      name: 'rescuerecord',
      component: () => import('@/pages/allRescue/index')
    },
    //
    {
      path: '/patientdetail',
      name: 'patientdetail',
      component: () => import('@/pages/doctorAdvice/index')
    },
    // 搜索
    {
      path: '/search',
      name: 'search',
      component: () => import('@/pages/search/index')
    },
    // 我的信息
    {
      path: '/myInfo',
      name: 'myInfo',
      component: () => import('@/pages/my/myInfo')
    },
    // 意见反馈
    {
      path: '/feedBack',
      name: 'feedBack',
      component: () => import('@/pages/my/feedBack')
    },
    // 关于我们
    {
      path: '/about',
      name: 'about',
      component: () => import('@/pages/my/aboutUs')
    },
    // 公司介绍
    {
      path: '/introduce',
      name: 'introduce',
      component: () => import('@/pages/my/companyIntroduction')
    },
    // 更改名字
    {
      path: '/editname',
      name: 'editname',
      component: () => import('@/pages/my/modifyingName')
    },
    // 更改名字
    {
      path: '/personalsign',
      name: 'personalsign',
      component: () => import('@/pages/my/personalSign')
    },
    // 邀请好友
    {
      path: '/invite',
      name: 'invite',
      component: () => import('@/pages/my/invite')
    },

    // 全部长期透析记录

    {
      path: '/alllongdialysis',
      name: 'longdialysis',
      component: () => import('@/pages/allLongDialysis/index')
    },
    //,
    {
      path: '/alldoctoradvice',
      name: '/alldoctoradvice',
      component: () => import('@/pages/allDoctorAdvice/indexs')
    },
    // 配置中心
    {
      path: '/configurecenter',
      name: 'configurecenter',
      component: () => import('@/pages/configureCenter/index')
    },
    // 新增分区
    {
      path: '/addpartition',
      name: '/addpartition',
      component: () => import('@/pages/configureCenter/newPartition')
    },
    // 编辑分区
    {
      path: '/editpartition',
      name: 'editpartition',
      component: () => import('@/pages/configureCenter/editPartion')

    },
    // 编辑分组
    {
      path: '/editgroup',
      name: 'editgroup',
      component: () => import('@/pages/configureCenter/editGrouping')
    },
    // 新增分组
    {
      path: '/addgroup',
      name: '/addgroup',
      component: () => import('@/pages/configureCenter/newGrouping')
    },
    // 新增床位号
    {
      path: '/addbed',
      name: '/addbed',
      component: () => import('@/pages/configureCenter/newBed')
    },
    // 编辑床位号
    {
      path: '/editbed',
      name: 'editbed',
      component: () => import('@/pages/configureCenter/editBed')
    },
    {
      path: '/allinspection',
      name: '/allinspection',
      component: () => import('@/pages/patientCenter/allCheck/index')

    },
    // 我的页面管理
    {
      path: '/editorg',
      name: '/editorg',
      component: () => import('@/pages/patientCenter/editOrg/index')
    },
    {
      path: '/organizationinfo',
      name: '/organizationinfo',
      component: () => import('@/pages/my/organizationInfo')
    },
    {
      path: '/main',
      name: 'main',
      component: () => import('@/pages/main/index'),
      meta: {
        noCache: true // 不会被 <keep-alive> 缓存
      }
    },
    {
      path: '/product',
      name: 'Product',
      component: () => import('@/pages/product/index')
    },
    {
      path: '/monitoring',
      name: 'monitorPage',
      component: () => import('@/pages/monitoring/index')
    },
    {
      path: '/details',
      name: 'details',
      component: () => import('@/pages/main/DetailsPage')
    },
    {
      path: '/monitoring',
      name: 'monitorPage',
      component: () => import('@/pages/monitoring/index')
    },
    {
      path: '/my',
      name: 'my',
      component: () => import('@/pages/personal/index')
    },
    {
      path: '/advice',
      name: 'doctorAdvice',
      component: () => import('@/pages/advice/index')
    },
    {
      path: '/EditPersonal',
      name: 'EditPersonal',
      component: () => import('@/pages/personal/EditPersonal')
    },
    {
      path: '/ElectronicSignature',
      name: 'ElectronicSignature',
      component: () => import('@/pages/personal/ElectronicSignature')
    },
    {
      path: '/Print',
      name: 'Print',
      component: () => import('@/pages/main/PrintIndex')
    },
    {
      path: '/add_urgent_schedule',
      name: 'AddUrgentSchedule',
      component: () => import('@/pages/main/add_urgent_schedule')
    },
    {
      path: '/Prints',
      name: 'Prints',
      component: () => import('@/pages/main/Print')
    },
    {
      path: '/forgetPassword',
      name: 'forgetPassword',
      component: () => import('@/pages/personal/ForgetPassword')
    },
    {
      path: '/changePassword',
      name: 'changePassword',
      component: () => import('@/pages/personal/ChangePassword')
    },
    {
      path: '/privacy',
      name: 'privacy',
      component: () => import('@/pages/privacy/index')
    },
    {
      path: '/userAgreement',
      name: 'userAgreement',
      component: () => import('@/pages/userAgreement/index')
    },
    {
      path: '/modifypsw',
      name: 'modifyPassword',
      component: () => import('@/pages/my/modifyPassword')
    }
  ]
})
